org.apache.ignite.internal.util.lang

## Class GridAbsPredicateX

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsPredicateX

All Implemented Interfaces:
  GridAbsPredicate

Direct Known Subclasses:
  PAX

    public abstract class GridAbsPredicateX
    extends Object
    implements GridAbsPredicate

Convenient predicate subclass that allows for thrown grid exception. This class implements `apply()` method that calls `applyx()` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

### Constructor Summary

Constructors
Constructor and Description
`GridAbsPredicateX()`

### Method Summary

Methods
`boolean` `apply()` Predicate body.
`abstract boolean` `applyx()` Predicate body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridAbsPredicateX

    public GridAbsPredicateX()

### Method Detail

#### apply

    public boolean apply()

Predicate body.

Specified by:
  `apply` in interface `GridAbsPredicate`
Returns:
  Return value.

#### applyx

    public abstract boolean applyx()
                            throws IgniteCheckedException

Predicate body that can throw `IgniteCheckedException`.

Returns:
  Return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the predicate.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017